Files & Requests
Update an exhibit
Partially update an exhibit. Only the fields you supply are changed.
PATCH
/
v1
/
requests
/
{requestId}
/
exhibits
/
{exhibitId}
Update an exhibit
curl --request PATCH \
--url https://api.slate.inc/files/v1/requests/{requestId}/exhibits/{exhibitId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exhibitOrder": 123
}
'import requests
url = "https://api.slate.inc/files/v1/requests/{requestId}/exhibits/{exhibitId}"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exhibitOrder": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', exhibitOrder: 123})
};
fetch('https://api.slate.inc/files/v1/requests/{requestId}/exhibits/{exhibitId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exhibitOrder": 123,
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"key": "<string>",
"templateIndex": 123,
"fileName": "<string>"
}{
"message": "<string>",
"reason": "MISSING_TOKEN_OR_PERMISSIONS"
}{
"message": "<string>",
"reason": "MISSING_TOKEN_OR_PERMISSIONS"
}{
"message": "<string>",
"reason": "MISSING_TOKEN_OR_PERMISSIONS"
}Authorizations
Cognito-issued JWT access token. Send it as Authorization: Bearer <token>.
⌘I
Update an exhibit
